%define	name	yodl
%define	version	1.31.17
%define	release	2mdk

Summary:	Yet oneOther Document Language.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Text tools
URL:		http://www.xs4all.nl/~jantien/yodl
Source:		ftp://ftp.lilypond.org/pub/yodl/development/%{name}-%{version}.tar.bz2
Patch:		yodl-1.31.14-htmldocs.patch.bz2
BuildRoot:	/var/tmp/%{name}-%{version}

%description
Yodl is a package that implements a pre-document language and tools to
process it. The idea of Yodl is that you write up a document in a
pre-language, then use the tools (eg. yodl2html) to convert it to some
final document language. Current converters are for HTML, ms, man, LaTeX
SGML and texinfo, plus a poor-man's text converter. Main document types are
"article", "report", "book" and "manpage". The Yodl document language is
designed to be easy to use and extensible.

%prep
%setup -q
%patch -p1 -b .htmldocs_fix


%build
%configure --prefix=/usr --enable-optimise
make
make htmldoc

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT/usr
make prefix=$RPM_BUILD_ROOT/usr install

find $RPM_BUILD_ROOT/ -type 'f'|grep -E '.*[0-9]'|xargs file|grep troff\
|cut -d: -f1|xargs bzip2 -9
for aa in man X11R6/man local/man;do
[ -d $RPM_BUILD_ROOT/usr/$aa ] || continue
for i in $(find $RPM_BUILD_ROOT/usr/$aa -type 'l');do
 	TO=$(/bin/ls -l $i|awk '{print $NF}')
	ln -sf $TO.bz2 $i && mv $i $.bz2
done
done
for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x' ! -name 'lib*so*'`;do
    file $i|grep -q "not stripped" && strip $i
done

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi

%files
%defattr(-,root,root)
%doc *.txt ANNOUNCE-1.22 COPYING ChangeLog-1.22 NEWS TODO
%doc htmldocs-rpm/*
/usr/bin/*
/usr/share/yodl
/usr/man/*/*

%changelog
* Thu May 04 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.31.17-2mdk
- fix group

* Mon Oct  4 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adaptations.

* Fri Sep  3 1999 Ryan Weaver <ryanw@infohwy.com>
  [yodl-1.31.17-1]
- 2man: verb*() fixed
- 2texinfo fixes: @top, Toplevel, \input texinfo
- 2tely: mudela() -> @mudela
- 2texinfo: nicer handling of wierd nodenames ... NOT:
  see comment in yodl2texinfo-post.py: urg

* Wed Aug 18 1999 Ryan Weaver <ryanw@infohwy.com>
  [yodl-1.31.16-1]
- bf: warning/sgml
  Forgot to send these patches as well  (albert chin)
- IRIX has snprintf and vsnprintf but you never check for
  these functions in configure. You redefine them in
  src/lib/libc-extensions.c
- Need to include <libgen.h> if linking with -lgen

* Wed Jul 28 1999 Ryan Weaver <ryanw@infohwy.com>
  [yodl-1.31.15-1]
- embarrassing bug + ugly fix: macros > 8kB
- sm79: aix empty sed script fix

* Mon Jul 19 1999 Ryan Weaver <ryanw@infohwy.com>
  [yodl-1.31.14-1]
- yodl2ms*: no adjustment (thanks: *W Nienhuys)

* Fri Jun 25 1999 Ryan Weaver <ryanw@infohwy.com>
  [yodl-1.31.13-1]
- Added htmldocs to rpm. make htmldoc fails because some files it wants,
  (ie: patch files and png files) are not available in the dist. Forcing
  rpm past this and putting htmldocs in /usr/doc/yodl-VERSION.
- 1.31.13
- sm77
- bf's: yodl2texinfo-post.py
- bf: .spec file: include yodl2texinfo-post
- IRIX: check for basename in libgen
- man/man7 fix

* Wed Jun  9 1999 Ryan Weaver <ryanw@infohwy.com>
  [yodl-1.31.12-1]
- Ugh!! found out there was a newer version
- 1.31.12
- sm 74
- removed C++ comments

- 1.31.11
- hsearch turned off
- included hsearch glibc sources:
  manually install libhsearch, for easy profiling
- debian fixes (Anthony Fok)
- sm 71
- max size of hashtables set in config.hh.in
- bf: yodl2msps etc, use groff (or ditroff) iso troff
- bf: only include libintl if HAVE_GETTEXT
- smarter builtin lookup
- use hash table: speed drops by factor 2 :-(
- bf: strup call to basename  (thanks, Nick Glencross)

- 1.31.10
- bf: yodl2texinfo: (no) missing xrefs
- bf: mudela mode

* Tue Jun  8 1999 Ryan Weaver <ryanw@infohwy.com>
  [yodl-1.31.9-1]
- Initial RPM Build.
- The only rpm of this I could find was a suse rpm version 1.31.5,
  so I built a new one :).

- 1.31.9
- moved ftp site:
    ftp://ftp.lilypond.org/pub/yodl
- fixed ms/man table support, see:
    yodl2msless Documentation/test/table.yo | striproff
- bf: ms/man output: use tbl preprocessor
- stepmake 67, check for tbl, gmake
- bf: latex email, url
- bf: yodl2msps.sh
